#!/bin/bash

# finder is not in the local directory, force it!
cd "${0%/*}"
echo Using path:
pwd

# look for connected arduino's
PORT=$(find /dev -name 'cu.usbmodem*' 2>/dev/null | head -1)
if [ -z "$PORT" ]; then
    echo "No arduino's found -> exit."
    exit 1
fi

PORT_BASE=$(basename $PORT)
echo Using port : $PORT

# erase the DUE!.. done by opening comms @ 1200 bps
echo "Erase.."
stty -f $PORT raw speed 1200
sleep 2

# actually upload the binary
echo "Upload.."
./bossac -p $PORT_BASE -e -w -b st4_firmware.bin

# reset
echo "Reset"
stty -f $PORT raw speed 9600
